Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90	(revision 5117)
@@ -13,5 +13,5 @@
 
 
-      use lmdz_cloudth_ini, ONLY: iflag_cloudth_vert,iflag_ratqs
+      USE lmdz_cloudth_ini, ONLY: iflag_cloudth_vert,iflag_ratqs
 
       IMPLICIT NONE
@@ -31,5 +31,5 @@
       INTEGER itap,ind1,ind2
       INTEGER ngrid,klev,klon,l,ig 
-      real, dimension(ngrid,klev), intent(out) :: cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv
+      REAL, DIMENSION(ngrid,klev), INTENT(OUT) :: cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv
       
       REAL ztv(ngrid,klev)
@@ -117,5 +117,5 @@
       do ind1=1,ngrid
 
-      if ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) THEN
+      IF ((ztv(ind1,1)>ztv(ind1,2)).AND.(fraca(ind1,ind2)>1.e-10)) THEN
       zqenv(ind1)=(po(ind1)-fraca(ind1,ind2)*zqta(ind1,ind2))/(1.-fraca(ind1,ind2))
 
@@ -185,5 +185,5 @@
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-      if (ctot(ind1,ind2)<1.e-10) THEN
+      IF (ctot(ind1,ind2)<1.e-10) THEN
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -226,5 +226,5 @@
       qltot(ind1,ind2)=sigma1s*((exp(-1.*xenv**2)/sqrt2pi)+xenv*sqrt(2.)*cenv(ind1,ind2))
       
-      if (ctot(ind1,ind2)<1.e-3) THEN
+      IF (ctot(ind1,ind2)<1.e-3) THEN
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -264,5 +264,5 @@
 
 
-      use lmdz_cloudth_ini, ONLY: iflag_cloudth_vert, vert_alpha
+      USE lmdz_cloudth_ini, ONLY: iflag_cloudth_vert, vert_alpha
 
       IMPLICIT NONE
@@ -346,5 +346,5 @@
       do ind1=1,ngrid
 
-      if ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) THEN
+      IF ((ztv(ind1,1)>ztv(ind1,2)).AND.(fraca(ind1,ind2)>1.e-10)) THEN
       zqenv(ind1)=(po(ind1)-fraca(ind1,ind2)*zqta(ind1,ind2))/(1.-fraca(ind1,ind2))
 
@@ -508,5 +508,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-      if (cenv(ind1,ind2)<1.e-10.or.cth(ind1,ind2)<1.e-10) THEN
+      IF (cenv(ind1,ind2)<1.e-10.OR.cth(ind1,ind2)<1.e-10) THEN
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -552,5 +552,5 @@
       qltot(ind1,ind2)=sigma1s*((exp(-1.*xenv**2)/sqrt2pi)+xenv*sqrt(2.)*cenv(ind1,ind2))
       
-      if (ctot(ind1,ind2)<1.e-3) THEN
+      IF (ctot(ind1,ind2)<1.e-3) THEN
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -584,5 +584,5 @@
              cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
 
-      use lmdz_cloudth_ini, ONLY: iflag_cloudth_vert
+      USE lmdz_cloudth_ini, ONLY: iflag_cloudth_vert
 
       IMPLICIT NONE
@@ -600,23 +600,23 @@
       INCLUDE "FCTTRE.h"
 
-      integer, intent(in) :: ind2
-      integer, intent(in) :: ngrid,klev
-      
-      real, dimension(ngrid,klev), intent(in) :: ztv
-      real, dimension(ngrid), intent(in) :: po
-      real, dimension(ngrid,klev), intent(in) :: zqta
-      real, dimension(ngrid,klev+1), intent(in) :: fraca
-      real, dimension(ngrid), intent(out) :: qcloud
-      real, dimension(ngrid,klev), intent(out) :: ctot
-      real, dimension(ngrid,klev), intent(out) :: ctot_vol
-      real, dimension(ngrid,klev), intent(in) :: zpspsk
-      real, dimension(ngrid,klev+1), intent(in) :: paprs
-      real, dimension(ngrid,klev), intent(in) :: pplay
-      real, dimension(ngrid,klev), intent(in) :: ztla
-      real, dimension(ngrid,klev), intent(inout) :: zthl
-      real, dimension(ngrid,klev), intent(in) :: ratqs
-      real, dimension(ngrid), intent(in) :: zqs
-      real, dimension(ngrid,klev), intent(in) :: t
-      real, dimension(ngrid,klev), intent(out) :: cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv
+      INTEGER, INTENT(IN) :: ind2
+      INTEGER, INTENT(IN) :: ngrid,klev
+      
+      REAL, DIMENSION(ngrid,klev), INTENT(IN) :: ztv
+      REAL, DIMENSION(ngrid), INTENT(IN) :: po
+      REAL, DIMENSION(ngrid,klev), INTENT(IN) :: zqta
+      REAL, DIMENSION(ngrid,klev+1), INTENT(IN) :: fraca
+      REAL, DIMENSION(ngrid), INTENT(OUT) :: qcloud
+      REAL, DIMENSION(ngrid,klev), INTENT(OUT) :: ctot
+      REAL, DIMENSION(ngrid,klev), INTENT(OUT) :: ctot_vol
+      REAL, DIMENSION(ngrid,klev), INTENT(IN) :: zpspsk
+      REAL, DIMENSION(ngrid,klev+1), INTENT(IN) :: paprs
+      REAL, DIMENSION(ngrid,klev), INTENT(IN) :: pplay
+      REAL, DIMENSION(ngrid,klev), INTENT(IN) :: ztla
+      REAL, DIMENSION(ngrid,klev), INTENT(INOUT) :: zthl
+      REAL, DIMENSION(ngrid,klev), INTENT(IN) :: ratqs
+      REAL, DIMENSION(ngrid), INTENT(IN) :: zqs
+      REAL, DIMENSION(ngrid,klev), INTENT(IN) :: t
+      REAL, DIMENSION(ngrid,klev), INTENT(OUT) :: cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv
 
 
@@ -692,5 +692,5 @@
       do ind1=1,ngrid
 
-      if ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) THEN
+      IF ((ztv(ind1,1)>ztv(ind1,2)).AND.(fraca(ind1,ind2)>1.e-10)) THEN
       zqenv(ind1)=(po(ind1)-fraca(ind1,ind2)*zqta(ind1,ind2))/(1.-fraca(ind1,ind2))
 
@@ -756,5 +756,5 @@
       qltot(ind1,ind2)=fraca(ind1,ind2)*qlth(ind1,ind2)+(1.-1.*fraca(ind1,ind2))*qlenv(ind1,ind2)
 
-      if (ctot(ind1,ind2)<1.e-10) THEN
+      IF (ctot(ind1,ind2)<1.e-10) THEN
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -787,5 +787,5 @@
       qltot(ind1,ind2)=sigma1s*((exp(-1.*xenv**2)/sqrt2pi)+xenv*sqrt2*cenv(ind1,ind2))
 
-      if (ctot(ind1,ind2)<1.e-3) THEN
+      IF (ctot(ind1,ind2)<1.e-3) THEN
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2)
@@ -816,6 +816,6 @@
 !===========================================================================
 
-      use lmdz_cloudth_ini, ONLY: iflag_cloudth_vert,iflag_ratqs
-      use lmdz_cloudth_ini, ONLY: vert_alpha,vert_alpha_th, sigma1s_factor, sigma1s_power , sigma2s_factor , sigma2s_power , cloudth_ratqsmin , iflag_cloudth_vert_noratqs
+      USE lmdz_cloudth_ini, ONLY: iflag_cloudth_vert,iflag_ratqs
+      USE lmdz_cloudth_ini, ONLY: vert_alpha,vert_alpha_th, sigma1s_factor, sigma1s_power , sigma2s_factor , sigma2s_power , cloudth_ratqsmin , iflag_cloudth_vert_noratqs
 
       IMPLICIT NONE
@@ -829,5 +829,5 @@
       INTEGER itap,ind1,ind2
       INTEGER ngrid,klev,klon,l,ig 
-      real, dimension(ngrid,klev), intent(out) :: cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv
+      REAL, DIMENSION(ngrid,klev), INTENT(OUT) :: cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv
       
       REAL ztv(ngrid,klev)
@@ -923,5 +923,5 @@
       do ind1=1,ngrid
 
-      if ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) then !Thermal and environnement
+      IF ((ztv(ind1,1)>ztv(ind1,2)).AND.(fraca(ind1,ind2)>1.e-10)) then !Thermal and environnement
 
       zqenv(ind1)=(po(ind1)-fraca(ind1,ind2)*zqta(ind1,ind2))/(1.-fraca(ind1,ind2)) !qt = a*qtth + (1-a)*qtenv
@@ -1070,5 +1070,5 @@
       IntJ=0.5*senv*(1-erf(xenv2))+(sigma1s/sqrt2pi)*exp_xenv2
       IntJ_CF=0.5*(1.-1.*erf(xenv2))
-      if (deltasenv < 1.e-10) THEN
+      IF (deltasenv < 1.e-10) THEN
       qlenv(ind1,ind2)=IntJ
       cenv_vol(ind1,ind2)=IntJ_CF
@@ -1086,5 +1086,5 @@
       IntJ=0.5*sth*(1-erf(xth2))+(sigma2s/sqrt2pi)*exp_xth2
       IntJ_CF=0.5*(1.-1.*erf(xth2))
-      if (deltasth < 1.e-10) THEN
+      IF (deltasth < 1.e-10) THEN
       qlth(ind1,ind2)=IntJ
       cth_vol(ind1,ind2)=IntJ_CF
@@ -1155,5 +1155,5 @@
 
 !      if (ctot(ind1,ind2).lt.1.e-10) THEN
-      if (cenv(ind1,ind2)<1.e-10.or.cth(ind1,ind2)<1.e-10) THEN
+      IF (cenv(ind1,ind2)<1.e-10.OR.cth(ind1,ind2)<1.e-10) THEN
       ctot(ind1,ind2)=0.
       ctot_vol(ind1,ind2)=0.
@@ -1198,5 +1198,5 @@
       qltot(ind1,ind2)=sigma1s*((exp(-1.*xenv**2)/sqrt2pi)+xenv*sqrt(2.)*cenv(ind1,ind2))
       
-      if (ctot(ind1,ind2)<1.e-3) THEN
+      IF (ctot(ind1,ind2)<1.e-3) THEN
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2)
@@ -1230,5 +1230,5 @@
              cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
 
-      use lmdz_cloudth_ini, ONLY: iflag_cloudth_vert
+      USE lmdz_cloudth_ini, ONLY: iflag_cloudth_vert
 
       IMPLICIT NONE
@@ -1243,5 +1243,5 @@
       INTEGER ngrid !indice Max lat-lon
       INTEGER klev  !indice Max alt
-      real, dimension(ngrid,klev), intent(out) :: cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv
+      REAL, DIMENSION(ngrid,klev), INTENT(OUT) :: cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv
       INTEGER ind1  !indice in [1:ngrid]
       INTEGER ind2  !indice in [1:klev]
@@ -1324,5 +1324,5 @@
 !Both thermal and environment in the gridbox
 !-------------------------------------------------------------------------------
-      IF ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) THEN
+      IF ((ztv(ind1,1)>ztv(ind1,2)).AND.(fraca(ind1,ind2)>1.e-10)) THEN
         !--------------------------------------------
         !calcul de qsat_env
@@ -1395,5 +1395,5 @@
         !Incloud Condensed water qcloud
         !--------------------------------------------
-      if (ctot_surf(ind1,ind2) < 1.e-10) THEN
+      IF (ctot_surf(ind1,ind2) < 1.e-10) THEN
       ctot_vol(ind1,ind2)=0.
       ctot_surf(ind1,ind2)=0.
@@ -1456,5 +1456,5 @@
         !Incloud Condensed water qcloud
         !--------------------------------------------
-      if (ctot_surf(ind1,ind2) < 1.e-8) THEN
+      IF (ctot_surf(ind1,ind2) < 1.e-8) THEN
       ctot_vol(ind1,ind2)=0.
       ctot_surf(ind1,ind2)=0.
@@ -1494,8 +1494,8 @@
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 
-      use lmdz_cloudth_ini, ONLY: iflag_cloudth_vert,iflag_ratqs
-      use lmdz_cloudth_ini, ONLY: C_mpc ,Ni,C_cap,Ei,d_top ,vert_alpha, vert_alpha_th ,sigma1s_factor,sigma1s_power,sigma2s_factor,sigma2s_power,cloudth_ratqsmin ,iflag_cloudth_vert_noratqs
-      use lmdz_lscp_tools,  only: CALC_QSAT_ECMWF
-      use lmdz_lscp_ini,    only: RTT, RG, RPI, RD, RCPD, RLVTT, RLSTT, temp_nowater, min_frac_th_cld, min_neb_th
+      USE lmdz_cloudth_ini, ONLY: iflag_cloudth_vert,iflag_ratqs
+      USE lmdz_cloudth_ini, ONLY: C_mpc ,Ni,C_cap,Ei,d_top ,vert_alpha, vert_alpha_th ,sigma1s_factor,sigma1s_power,sigma2s_factor,sigma2s_power,cloudth_ratqsmin ,iflag_cloudth_vert_noratqs
+      USE lmdz_lscp_tools,  only: CALC_QSAT_ECMWF
+      USE lmdz_lscp_ini,    only: RTT, RG, RPI, RD, RCPD, RLVTT, RLSTT, temp_nowater, min_frac_th_cld, min_neb_th
 
       IMPLICIT NONE
@@ -1763,5 +1763,5 @@
             ctot_vol(ind1)=frac_th(ind1)*cth_vol(ind1)+(1.-1.*frac_th(ind1))*cenv_vol(ind1)
 
-            IF (cenv(ind1)<min_neb_th.and.cth(ind1)<min_neb_th) THEN
+            IF (cenv(ind1)<min_neb_th.AND.cth(ind1)<min_neb_th) THEN
                 ctot(ind1)=0.
                 ctot_vol(ind1)=0.
@@ -1992,8 +1992,8 @@
 
 !            sigma1s = sigma1s_fraca + sigma1s_ratqs
-!            IF (iflag_ratqs.eq.11) THEN
+!            IF (iflag_ratqs.EQ.11) THEN
 !               sigma1s = ratqs(ind1,ind2)*po(ind1)*aenv
 !            ENDIF
-!            IF (iflag_ratqs.eq.11) THEN
+!            IF (iflag_ratqs.EQ.11) THEN
 !              sigma1s = ratqs(ind1,ind2)*po(ind1)*aenvl
 !            ENDIF
@@ -2043,5 +2043,5 @@
 !            ENDIF
 
-!            IF (cenv(ind1,ind2).LT.1.e-10.or.cth(ind1,ind2).LT.1.e-10) THEN
+!            IF (cenv(ind1,ind2).LT.1.e-10.OR.cth(ind1,ind2).LT.1.e-10) THEN
 !                ctot(ind1,ind2)=0.
 !                ctot_vol(ind1,ind2)=0.
@@ -2120,5 +2120,5 @@
 !=============================================================================
 
-    use phys_state_var_mod, ONLY: fm_therm, detr_therm, entr_therm
+    USE phys_state_var_mod, ONLY: fm_therm, detr_therm, entr_therm
 
     IMPLICIT none
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth_ini.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth_ini.F90	(revision 5117)
@@ -1,6 +1,6 @@
 module lmdz_cloudth_ini
 
-real, save, protected :: C_cap ,cloudth_ratqsmin ,sigma1s_factor ,sigma1s_power ,sigma2s_factor ,sigma2s_power ,vert_alpha_th ,vert_alpha ,C_mpc , d_top , Ei , Ni
-integer, save, protected :: iflag_cloudth_vert_noratqs,iflag_cloudth_vert,iflag_ratqs
+REAL, SAVE, protected :: C_cap ,cloudth_ratqsmin ,sigma1s_factor ,sigma1s_power ,sigma2s_factor ,sigma2s_power ,vert_alpha_th ,vert_alpha ,C_mpc , d_top , Ei , Ni
+INTEGER, SAVE, protected :: iflag_cloudth_vert_noratqs,iflag_cloudth_vert,iflag_ratqs
 
 !$OMP THREADPRIVATE(C_cap ,cloudth_ratqsmin ,sigma1s_factor ,sigma1s_power ,sigma2s_factor ,sigma2s_power ,vert_alpha_th ,vert_alpha ,C_mpc , d_top , Ei , Ni)
@@ -12,7 +12,7 @@
 SUBROUTINE cloudth_ini(iflag_cloudth_vert_in,iflag_ratqs_in)
 
-use lmdz_ioipsl_getin_p, ONLY: getin_p
+USE lmdz_ioipsl_getin_p, ONLY: getin_p
 IMPLICIT NONE
-integer, intent(in) :: iflag_cloudth_vert_in,iflag_ratqs_in
+INTEGER, INTENT(IN) :: iflag_cloudth_vert_in,iflag_ratqs_in
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90	(revision 5117)
@@ -432,5 +432,5 @@
         zt(i) = temp(i, k)
         zq(i) = qt(i, k)
-        IF (.not. iftop) THEN
+        IF (.NOT. iftop) THEN
           ztupnew(i) = temp(i, k + 1) + d_t(i, k + 1)
           zqupnew(i) = qt(i, k + 1) + d_q(i, k + 1) + d_ql(i, k + 1) + d_qi(i, k + 1)
@@ -889,5 +889,5 @@
                       Tcontr(i, k), qcontr(i, k), qcontr2(i, k), fcontrN(i, k), fcontrP(i, k))
 
-            ENDIF ! ((flag_ice_sursat.eq.0).or.(Tbef(i).gt.t_glace_min))
+            ENDIF ! ((flag_ice_sursat.EQ.0).OR.(Tbef(i).gt.t_glace_min))
 
             ! If vertical heterogeneity, change fraction by volume as well
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_ini.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_ini.F90	(revision 5117)
@@ -262,6 +262,6 @@
    REAL, INTENT(IN)      :: RCPD_in, RLSTT_in, RLVTT_in, RLMLT_in
    REAL, INTENT(IN)      ::  RVTMP2_in, RTT_in, RD_in, RG_in, RV_in, RPI_in
-   character (len=20) :: modname='lscp_ini_mod'
-   character (len=80) :: abort_message
+   CHARACTER (LEN=20) :: modname='lscp_ini_mod'
+   CHARACTER (LEN=80) :: abort_message
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90	(revision 5117)
@@ -213,5 +213,5 @@
   rneblsvol(1:klon,1:klev)=0.0
 
-  if (prt_level>9)WRITE(lunout,*)'NUAGES4 A. JAM'
+  IF (prt_level>9)WRITE(lunout,*)'NUAGES4 A. JAM'
   IF (appel1er) THEN
      WRITE(lunout,*) 'fisrtilp, ninter:', ninter
@@ -354,5 +354,5 @@
            zcpair=RCPD*(1.0+RVTMP2*zq(i))
            zcpeau=RCPD*RVTMP2
-         if (fl_cor_ebil > 0) THEN
+         IF (fl_cor_ebil > 0) THEN
            ! zmqc: masse de precip qui doit etre thermalisee avec l'air de la couche atm 
            ! pour s'assurer que la precip arrivant au sol aura bien la temperature de la 
@@ -420,5 +420,5 @@
              ! Ajout de la prise en compte des precip a thermiser
              ! avec petite reecriture 
-             if  (fl_cor_ebil > 0) then ! nouveau
+             IF  (fl_cor_ebil > 0) then ! nouveau
                 ! Calcul de l'evaporation du flux de precip herite
                 !   d'au-dessus
@@ -432,5 +432,5 @@
                 zrfln(i) = zrfl(i) - zqev*zmair(i)/dtime
                 ! Aucun flux liquide pour T < t_coup, on reevapore tout.
-                IF (zt(i) < t_coup.and.reevap_ice) THEN
+                IF (zt(i) < t_coup.AND.reevap_ice) THEN
                   zrfln(i)=0.
                   zqev = (zrfl(i)-zrfln(i))/zmair(i)*dtime
@@ -456,5 +456,5 @@
                      /RG/dtime
                 ! Aucun flux liquide pour T < t_coup
-                IF (zt(i) < t_coup.and.reevap_ice) zrfln(i)=0.
+                IF (zt(i) < t_coup.AND.reevap_ice) zrfln(i)=0.
                 ! Nouvelle vapeur 
                 zq(i) = zq(i) - (zrfln(i)-zrfl(i)) &
@@ -596,5 +596,5 @@
          zq(i) = zq(i) - (zrfln(i)+zifln(i)-zrfl(i)-zifl(i)) &
                   * (RG/(paprs(i,k)-paprs(i,k+1)))*dtime
-       if (fl_cor_ebil > 0) then ! avec correction thermalisation des precips
+       IF (fl_cor_ebil > 0) then ! avec correction thermalisation des precips
          zmqc(i) = zmqc(i) + (zrfln(i)+zifln(i)-zrfl(i)-zifl(i)) &
                   * (RG/(paprs(i,k)-paprs(i,k+1)))*dtime
@@ -647,5 +647,5 @@
                    zrfl(i)=zrfl(i)+zmelt*zifl(i)
            ENDIF
-           if (fl_cor_ebil <= 0) THEN
+           IF (fl_cor_ebil <= 0) THEN
              ! the following line should not be here. Indeed, if zifl is modified
              ! now, zifl(i)*zmelt is no more the amount of ice that has melt
@@ -654,5 +654,5 @@
            end if
            ! Chaleur latente de fusion
-        if (fl_cor_ebil > 0) then ! avec correction thermalisation des precips
+        IF (fl_cor_ebil > 0) then ! avec correction thermalisation des precips
            zt(i)=zt(i)-zifl(i)*zmelt*(RG*dtime)/(paprs(i,k)-paprs(i,k+1)) &
                       *RLMLT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
@@ -661,5 +661,5 @@
                       *RLMLT/RCPD/(1.0+RVTMP2*zq(i))
         end if
-           if (fl_cor_ebil > 0) then ! correction bug, deplacement ligne precedente
+           IF (fl_cor_ebil > 0) then ! correction bug, deplacement ligne precedente
 !<LTP
              IF (iflag_evap_prec==4) THEN
@@ -693,5 +693,5 @@
            zdelta = MAX(0.,SIGN(1.,RTT-zt(i)))
            zcvm5 = R5LES*RLVTT*(1.-zdelta) + R5IES*RLSTT*zdelta
-       if  (fl_cor_ebil > 0) then ! nouveau
+       IF  (fl_cor_ebil > 0) then ! nouveau
            zcvm5 = zcvm5 /RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
        else    
@@ -722,5 +722,5 @@
 
 !verification de la valeur de iflag_fisrtilp_qsat pour iflag_ice_thermo=1
-!       if ((iflag_ice_thermo.eq.1).and.(iflag_fisrtilp_qsat.ne.0)) THEN
+!       if ((iflag_ice_thermo.EQ.1).AND.(iflag_fisrtilp_qsat.NE.0)) THEN
 !         WRITE(*,*) " iflag_ice_thermo==1 requires iflag_fisrtilp_qsat==0", &
 !        " but iflag_fisrtilp_qsat=",iflag_fisrtilp_qsat, ". Might as well stop here."
@@ -756,5 +756,5 @@
         ! P2.A.0> Calcul des grandeurs nuageuses une pdf en creneau
         ! ----------------------------------------------------------------
-        if (iflag_pdf==0) THEN
+        IF (iflag_pdf==0) THEN
            ! version creneau de (Li, 1998)
            do i=1,klon
@@ -764,5 +764,5 @@
            enddo
 
-        else !  if (iflag_pdf.eq.0)
+        else !  if (iflag_pdf.EQ.0)
            ! ----------------------------------------------------------------
            ! P2.A.1> Avec les nouvelles PDFs, calcul des grandeurs nuageuses pour 
@@ -776,6 +776,6 @@
            enddo
 
-           if (iflag_cld_th>=5) THEN
-              if (iflag_cloudth_vert<=2) THEN
+           IF (iflag_cld_th>=5) THEN
+              IF (iflag_cloudth_vert<=2) THEN
                CALL cloudth(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
@@ -784,5 +784,5 @@
                    cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
 
-              elseif (iflag_cloudth_vert>=3 .and. iflag_cloudth_vert<=5) THEN
+              elseif (iflag_cloudth_vert>=3 .AND. iflag_cloudth_vert<=5) THEN
                CALL cloudth_v3(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
@@ -809,5 +809,5 @@
            endif
 
-           if (iflag_cld_th <= 4) THEN
+           IF (iflag_cld_th <= 4) THEN
               lognormale = .TRUE.
            elseif (iflag_cld_th >= 6) THEN
@@ -844,5 +844,5 @@
 
 !Boucle iterative: ATTENTION, l'option -1 n'est plus activable ici
-           if (iflag_fisrtilp_qsat>=0) THEN
+           IF (iflag_fisrtilp_qsat>=0) THEN
              ! Iteration pour condensation avec variation de qsat(T) 
              ! -----------------------------------------------------
@@ -850,9 +850,9 @@
                 
                do i=1,klon
-!                 do while ((abs(DT(i)).gt.DDT0).or.(n_i(i).eq.0))
+!                 do while ((abs(DT(i)).gt.DDT0).OR.(n_i(i).EQ.0))
                  ! !! convergence = .TRUE. tant que l'on n'a pas converge !!
                  ! ------------------------------
                  convergence(i)=abs(DT(i))>DDT0
-                 if ((convergence(i).or.(n_i(i)==0)).and.lognormale(i)) THEN
+                 IF ((convergence(i).OR.(n_i(i)==0)).AND.lognormale(i)) THEN
                  ! si on n'a pas converge
 
@@ -866,11 +866,11 @@
 
                  Tbef(i)=Tbef(i)+DT(i) ! nouvelle temperature
-                 if (.not.ice_thermo) THEN
+                 IF (.NOT.ice_thermo) THEN
                     zdelta = MAX(0.,SIGN(1.,RTT-Tbef(i)))
                  else
-                    if (iflag_t_glace==0) THEN
+                    IF (iflag_t_glace==0) THEN
                     zdelta = MAX(0.,SIGN(1.,t_glace_min_old-Tbef(i)))
-                    else if (iflag_t_glace>=1) THEN
-                       if (iflag_oldbug_fisrtilp==0) THEN
+                    ELSE IF (iflag_t_glace>=1) THEN
+                       IF (iflag_oldbug_fisrtilp==0) THEN
                           zdelta = MAX(0.,SIGN(1.,t_glace_max-Tbef(i)))
                        else
@@ -882,5 +882,5 @@
                  ! Calcul de rneb, qzn et zcond pour les PDF lognormales
                  zcvm5 = R5LES*RLVTT*(1.-zdelta) + R5IES*RLSTT*zdelta
-               if (fl_cor_ebil > 0) THEN
+               IF (fl_cor_ebil > 0) THEN
                  zcvm5 = zcvm5 /RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
                else
@@ -904,5 +904,5 @@
                  zpdf_e2(i)=1.-erf(zpdf_e2(i))
              
-                 if (zpdf_e1(i)<1.e-10) THEN
+                 IF (zpdf_e1(i)<1.e-10) THEN
                     rneb(i,k)=0.
                     zqn(i)=zqs(i)
@@ -913,5 +913,5 @@
 
                  ! If vertical heterogeneity, change fraction by volume as well
-                 if (iflag_cloudth_vert>=3) THEN
+                 IF (iflag_cloudth_vert>=3) THEN
                    ctot_vol(i,k)=rneb(i,k)
                    rneblsvol(i,k)=ctot_vol(i,k)
@@ -928,10 +928,10 @@
                  ! DT : variation de temperature due a la condensation 
 
-                 if (.not. ice_thermo) THEN
+                 IF (.NOT. ice_thermo) THEN
                  ! --------------------------
                  do i=1,klon
-                 if ((convergence(i).or.(n_i(i)==0)).and.lognormale(i)) THEN
+                 IF ((convergence(i).OR.(n_i(i)==0)).AND.lognormale(i)) THEN
                  qlbef(i)=max(0.,zqn(i)-zqs(i))
-               if (fl_cor_ebil > 0) THEN
+               IF (fl_cor_ebil > 0) THEN
                  num=-Tbef(i)+zt(i)+rneb(i,k)*RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))*qlbef(i)
                else
@@ -944,13 +944,13 @@
                  enddo
 
-                 else ! if (.not. ice_thermo)
+                 else ! if (.NOT. ice_thermo)
                  ! --------------------------
-                 if (iflag_t_glace>=1) THEN
+                 IF (iflag_t_glace>=1) THEN
                  CALL icefrac_lsc(klon,zt(:),pplay(:,k)/paprs(:,1),zfice(:))
                  endif
 
                  do i=1,klon
-                 if ((convergence(i).or.(n_i(i)==0)).and.lognormale(i)) THEN
-                 if (iflag_t_glace==0) THEN
+                 IF ((convergence(i).OR.(n_i(i)==0)).AND.lognormale(i)) THEN
+                 IF (iflag_t_glace==0) THEN
                     zfice(i) = 1.0 - (Tbef(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
@@ -960,14 +960,14 @@
                  endif
                  
-                 if (iflag_t_glace>=1.and.zfice(i)>0.) THEN
+                 IF (iflag_t_glace>=1.AND.zfice(i)>0.) THEN
                  dzfice(i)= exposant_glace * zfice(i)**(exposant_glace-1) &
                       / (t_glace_min - t_glace_max)
                  endif
                
-                 if ((zfice(i)==0).or.(zfice(i)==1)) THEN
+                 IF ((zfice(i)==0).OR.(zfice(i)==1)) THEN
                     dzfice(i)=0.
                  endif
 
-                 if (zfice(i)<1) THEN
+                 IF (zfice(i)<1) THEN
                     cste=RLVTT
                  else
@@ -976,5 +976,5 @@
 
                  qlbef(i)=max(0.,zqn(i)-zqs(i))
-               if (fl_cor_ebil > 0) THEN
+               IF (fl_cor_ebil > 0) THEN
                  num = -Tbef(i)+zt(i)+rneb(i,k)*((1-zfice(i))*RLVTT &
             +zfice(i)*RLSTT)/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))*qlbef(i)
@@ -1006,5 +1006,5 @@
         endif ! iflag_pdf
 
-!        if (iflag_fisrtilp_qsat.eq.-1) THEN
+!        if (iflag_fisrtilp_qsat.EQ.-1) THEN
 !------------------------------------------
 !CR: ATTENTION option fausse mais a existe:
@@ -1064,5 +1064,5 @@
        
         ! If vertical heterogeneity, change fraction by volume as well
-        if (iflag_cloudth_vert>=3) THEN
+        IF (iflag_cloudth_vert>=3) THEN
           ctot_vol(1:klon,k)=min(max(ctot_vol(1:klon,k),0.),1.)
           rneblsvol(1:klon,k)=ctot_vol(1:klon,k)
@@ -1100,11 +1100,11 @@
 
      IF (.NOT. ice_thermo) THEN
-        if (iflag_fisrtilp_qsat<1) THEN
+        IF (iflag_fisrtilp_qsat<1) THEN
            DO i = 1, klon
              zt(i) = zt(i) + zcond(i) * RLVTT/RCPD/(1.0+RVTMP2*zq(i))
            ENDDO
-        else if (iflag_fisrtilp_qsat>0) THEN
+        ELSE IF (iflag_fisrtilp_qsat>0) THEN
            DO i= 1, klon
-    if (fl_cor_ebil > 0) THEN
+    IF (fl_cor_ebil > 0) THEN
              zt(i) = zt(i) + zcond(i) * RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i)))
     else
@@ -1114,13 +1114,13 @@
         endif
      ELSE
-         if (iflag_t_glace>=1) THEN
+         IF (iflag_t_glace>=1) THEN
             CALL icefrac_lsc(klon,zt(:),pplay(:,k)/paprs(:,1),zfice(:))
          endif
-         if (iflag_fisrtilp_qsat<1) THEN
+         IF (iflag_fisrtilp_qsat<1) THEN
            DO i = 1, klon
 ! JBM: icefrac_lsc is now a function contained in icefrac_lsc_mod
 !              zfice(i) = icefrac_lsc(zt(i), t_glace_min, &
 !                                     t_glace_max, exposant_glace)
-              if (iflag_t_glace==0) THEN
+              IF (iflag_t_glace==0) THEN
                     zfice(i) = 1.0 - (zt(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
@@ -1135,10 +1135,10 @@
 !              zfice(i) = icefrac_lsc(zt(i), t_glace_min, &
 !                                     t_glace_max, exposant_glace)
-              if (iflag_t_glace==0) THEN
+              IF (iflag_t_glace==0) THEN
                     zfice(i) = 1.0 - (zt(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
                     zfice(i) = zfice(i)**exposant_glace_old
               endif
-        if (fl_cor_ebil > 0) THEN
+        IF (fl_cor_ebil > 0) THEN
               zt(i) = zt(i) + (1.-zfice(i))*zcond(i) & 
                * RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i))) &
@@ -1272,5 +1272,5 @@
                  !  quantite d'eau a eliminer: zchau (Sundqvist, 1978)
                  !  meme chose pour la glace: zfroi (Zender & Kiehl, 1997)
-                 if (ptconv(i,k)) THEN
+                 IF (ptconv(i,k)) THEN
                     zcl   =cld_lc_con
                     zct   =1./cld_tau_con
@@ -1288,5 +1288,5 @@
                  ! surfacique modifiee, qui est plus grande et reduit
                  ! sinon l'eau in-cloud de facon artificielle
-                 if ((iflag_cloudth_vert>=3).AND.(iflag_rain_incloud_vol==1)) THEN
+                 IF ((iflag_cloudth_vert>=3).AND.(iflag_rain_incloud_vol==1)) THEN
                     zchau    = zct   *dtime/REAL(ninter) * zoliq(i) &
                          *(1.0-EXP(-(zoliq(i)/ctot_vol(i,k)/zcl   )**2)) *(1.-zfice(i))
@@ -1351,5 +1351,5 @@
              zqpreci(i)=(zcond(i)-zoliq(i))*zfice(i)
              zqprecl(i)=(zcond(i)-zoliq(i))*(1.-zfice(i))
-           if (fl_cor_ebil > 0) THEN
+           IF (fl_cor_ebil > 0) THEN
              zcp=RCPD*(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i)))
              coef1 = rneb(i,k)*RLSTT/zcp*zdqsdT_raw(i)
@@ -1415,6 +1415,6 @@
          IF (rneb(i,k)>0.0) THEN
 !CR on prend en compte la phase glace
-!JLD inutile car on ne passe jamais ici si .not.ice_thermo
-!           if (.not.ice_thermo) THEN
+!JLD inutile car on ne passe jamais ici si .NOT.ice_thermo
+!           if (.NOT.ice_thermo) THEN
 !           d_ql(i,k) = zoliq(i)
 !           d_qi(i,k) = 0.
@@ -1463,5 +1463,5 @@
                  ENDIF!iflag_evap_prec==4
 
-           if (fl_cor_ebil > 0) THEN
+           IF (fl_cor_ebil > 0) THEN
               zt(i)=zt(i)+zsolid*(RG*dtime)/(paprs(i,k)-paprs(i,k+1)) &
                       *(RLSTT-RLVTT)/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
@@ -1568,8 +1568,8 @@
         zprec_cond(i) = MAX(zcond(i)-zoliq(i),0.0) &
              * (paprs(i,k)-paprs(i,k+1))/RG
-        IF (rneb(i,k)>0.0.and.zprec_cond(i)>0.) THEN
+        IF (rneb(i,k)>0.0.AND.zprec_cond(i)>0.) THEN
            !AA lessivage nucleation LMD5 dans la couche elle-meme
           IF (iflag_t_glace==0) THEN
-           if (t(i,k) >= t_glace_min_old) THEN
+           IF (t(i,k) >= t_glace_min_old) THEN
               zalpha_tr = a_tr_sca(3)
            else
@@ -1577,5 +1577,5 @@
            endif
           ELSE ! of IF (iflag_t_glace.EQ.0)
-           if (t(i,k) >= t_glace_min) THEN
+           IF (t(i,k) >= t_glace_min) THEN
               zalpha_tr = a_tr_sca(3)
            else
@@ -1597,7 +1597,7 @@
      DO kk = k-1, 1, -1
         DO i = 1, klon
-           IF (rneb(i,k)>0.0.and.zprec_cond(i)>0.) THEN
+           IF (rneb(i,k)>0.0.AND.zprec_cond(i)>0.) THEN
              IF (iflag_t_glace==0) THEN
-              if (t(i,kk) >= t_glace_min_old) THEN
+              IF (t(i,kk) >= t_glace_min_old) THEN
                  zalpha_tr = a_tr_sca(1)
               else
@@ -1605,5 +1605,5 @@
               endif
              ELSE ! of IF (iflag_t_glace.EQ.0)
-              if (t(i,kk) >= t_glace_min) THEN
+              IF (t(i,kk) >= t_glace_min) THEN
                  zalpha_tr = a_tr_sca(1)
               else
@@ -1652,5 +1652,5 @@
   ! latent heat is considered.
 !CR: si thermo de la glace, neige deja prise en compte
-  IF (.not.ice_thermo) THEN
+  IF (.NOT.ice_thermo) THEN
   DO k = 1, klev
      DO i = 1, klon
@@ -1663,7 +1663,7 @@
   ENDIF
 
-  if (ncoreczq>0) THEN
+  IF (ncoreczq>0) THEN
      WRITE(lunout,*)'WARNING : ZQ dans fisrtilp ',ncoreczq,' val < 1.e-15.'
-  endif
+  ENDIF
 
 
